/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.model;

import java.util.Objects;

public record Hash(String value, String type){
	@Override
	public boolean equals(Object o) {
		if (!(o instanceof Hash(String v, String t))) return false;
		return Objects.equals(type, t) && Objects.equals(value, v);
	}

	@Override
	public int hashCode() {
		return Objects.hash(value, type);
	}

	@Override
	public String toString() {
		return value;
	}
}
